Subject: [mpls] Solicit Opinions on Definition of MPLS Global Label

From: Lizhenbin <[email-masked]>
Date: Wed, 4 Nov 2015 05:26:53 +0000

Hi MPLSers,

As the development of MPLS technologies, many new label concepts beyond RFC3031 are proposed. And in segment routing MPLS label can be

allocated and flooded in the network which means the meaning of the lablel can be understood by all nodes in the network. It is totally different from

the label distribution behavior of LDP, RSVP-TE, and MP-BGP. From my point of view we need not argue if it is global label or global ID. In fact, the

possible persons who read the drafts of protocol extensions for segment routing which incorporate the label allocation may be confused that MPLS WG as

the base of MPLS work seems to have nothing with the work. But the challenge of definition of global label truly exists which has been proposed in the draft

https://www.ietf.org/id/draft-li-mpls-global-label-usecases-03.txt. Hope you can refer to Section 4 of the draft.

The debates on MPLS global label have lasted for a long time. The opinions can be classified as following:

Opinion 1: Segment Routing has nothing with global label and please do not make it bother MPLS WG. But it seems a little hard to convince some MPLSers.

Opinion 2: The usecase truly exists. But the concept of global label is too big. It is hard to allocate a label which is unique spanning multiple domains or

as IP address which is unique all over world since it is not a scalable way or it is hard to achieve the goal. Then maybe it is a better way to narrow the

scope to rename the global label as Domain-wide label, Network-wide label, etc.

Opinion 3: The global label can be kept to cover more label concepts which label behaviors in the control plane and forward plane are different form the

traditional LDP/RSVP-TE/MP-BGP.

Since I could not get more time in my presentation to collect your opinions, if convenient please help feedback your opinion in your mailing list. Hope through

the discussion we can make some consensus.

Best Regards,

Zhenbin(Robin)

---

From: <[email-masked]>
Date: Wed, 4 Nov 2015 06:26:55 +0000

Hi Robin,

Since I did not get the chance to express my comment during the meeting, I'll do over email.

<spring co-chair hat on>
SPRING/SR:
- is compliant with the MPLS architecture (RFC 3031)
              - in particular, in the control plane labels are locally allocated and in the forwarding plane, labels (of global segments) are SWAPed
- does NOT need global/domain wide label
                - local segments uses local labels
                - global segments uses global index + local labels (aka SRGB)
- is not requesting the MPLS WG to work on global/domain wide label. (i.e. the debate is closed from the SPRING standpoint.). Obviously, the MPLS WG is free to re-open the debate, but this is not a spring thing.
</spring co-chair hat on>

Based on this, some of your slides referring to "SR uses cases" seem a bit misleading. (I can't be more specific since during the meeting, I could see the slides but could not comment, and now I can comment but can't see the slides as they are not online).

Thanks
-- Bruno

From: mpls [mailto:[email-masked]] On Behalf Of Lizhenbin
Sent: Wednesday, November 04, 2015 2:27 PM
To: [email-masked]
Subject: [mpls] Solicit Opinions on Definition of MPLS Global Label

Hi MPLSers,

Best Regards,

Zhenbin(Robin)

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Loa Andersson <[email-masked]>
Date: Wed, 4 Nov 2015 17:52:49 +0900

Robin,

One of the label types you list as "global" in your draft is the
Entropy Label. To me it seems that the Entropy Label is scoped by
the label stack and the node(s) doing the hashing on it. WHy do you
think it is "global"?

/Loa

On 2015-11-04 14:26, Lizhenbin wrote:
> Hi MPLSers,
>
> As the development of MPLS technologies, many new label concepts beyond
> RFC3031 are proposed. And in segment routing MPLS label can be
>
> allocated and flooded in the network which means the meaning of the
> lablel can be understood by all nodes in the network. It is totally
> different from
>
> the label distribution behavior of LDP, RSVP-TE, and MP-BGP. From my
> point of view we need not argue if it is global label or global ID. In
> fact, the
>
> possible persons who read the drafts of protocol extensions for segment
> routing which incorporate the label allocation may be confused that MPLS
> WG as
>
> the base of MPLS work seems to have nothing with the work. But the
> challenge of definition of global label truly exists which has been
> proposed in the draft
>
> Opinion 1: Segment Routing has nothing with global label and please do
> not make it bother MPLS WG. But it seems a little hard to convince some
> MPLSers.
>
> Opinion 2: The usecase truly exists. But the concept of global label is
> too big. It is hard to allocate a label which is unique spanning
> multiple domains or
>
> as IP address which is unique all over world since it is not a scalable
> way or it is hard to achieve the goal. Then maybe it is a better way to
> narrow the
>
> Opinion 3: The global label can be kept to cover more label concepts
> which label behaviors in the control plane and forward plane are
> different form the
>
> Since I could not get more time in my presentation to collect your
> opinions, if convenient please help feedback your opinion in your
> mailing list. Hope through
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: Lizhenbin <[email-masked]>
Date: Wed, 4 Nov 2015 09:28:14 +0000

Hi Loa,
Regarding your point, I explained as follows:
1. The allocation of entropy label is totally different from the traditional LDP/RSVP-TE/MP-BGP.
2. For entropy label/flow label, though it maybe calculated by the ingress router locally, all nodes along the path have the universal understanding that its usage is for ECMP.  My draft proposed the possbile definition of global label that the meaning of the label can be understood by all nodes or part of nodes in one domain other than the local upstream node and downstream node. If based on the definition, the meaning of the entropy label can be understood by all nodes along the LSP.
Owing to the reason, I list it as "global".

Best Regards,
Robin

________________________________________
发件人: Loa Andersson [[email-masked]]
发送时间: 2015年11月4日 16:52
收件人: Lizhenbin; [email-masked]
主题: Re: [mpls] Solicit Opinions on Definition of MPLS Global Label

Robin,

/Loa

---

From: Loa Andersson <[email-masked]>
Date: Wed, 4 Nov 2015 21:39:51 +0900

Robin,

On 2015-11-04 18:28, Lizhenbin wrote:
> 2. For entropy label/flow label, though it maybe calculated by the ingress router
      locally, all nodes along the path have the universal understanding 
that its usage
      is for ECMP.

That an LSR understands that the EL is for ECMP has nothing to do with
the EL, but is a property bound to the ELI. The EL is in no way global,
it is local for the label stack.

By redefining concepts it is possible to "prove" anything.

/Loa

---

From: Huub van Helvoort <[email-masked]>
Date: Wed, 04 Nov 2015 14:25:18 +0100

Hello Zhenbin, 您好，

Regarding global identifiers, did you have a look at

RFC 6923?

Best regards, Huub.

Hi MPLSers,

As the development of MPLS technologies, many new label
concepts beyond RFC3031 are proposed. And in segment routing
MPLS label can be

allocated and flooded in the network which means the meaning
of the lablel can be understood by all nodes in the network.
It is totally different from

the label distribution behavior of LDP, RSVP-TE, and MP-BGP.
From my point of view we need not argue if it is global label
or global ID. In fact, the

possible persons who read the drafts of protocol extensions
for segment routing which incorporate the label allocation may
be confused that MPLS WG as

the base of MPLS work seems to have nothing with the work.
But the challenge of definition of global label truly exists
which has been proposed in the draft

https://www.ietf.org/id/draft-li-mpls-global-label-usecases-03.txt.
Hope you can refer to Section 4 of the draft.

The debates on MPLS global label have lasted for a long time.
The opinions can be classified as following:

Opinion 1: Segment Routing has nothing with global label and
please do not make it bother MPLS WG. But it seems a little
hard to convince some MPLSers.

Opinion 2: The usecase truly exists. But the concept of
global label is too big. It is hard to allocate a label which
is unique spanning multiple domains or

as IP address which is unique all over world since it is not
a scalable way or it is hard to achieve the goal. Then maybe
it is a better way to narrow the

scope to rename the global label as Domain-wide label,
Network-wide label, etc.

Opinion 3: The global label can be kept to cover more label
concepts which label behaviors in the control plane and
forward plane are different form the

Since I could not get more time in my presentation to collect
your opinions, if convenient please help feedback your opinion
in your mailing list. Hope through

Best Regards,

Zhenbin(Robin)

--
*****************************************************************
请记住，你是独一无二的，就像其他每一个人一样

---

From: Lizhenbin <[email-masked]>
Date: Wed, 4 Nov 2015 13:31:43 +0000

Hi Bruno,

Thanks for your comments. I can agree your some statement with spring co-chair hat on. I would like to propose the definition of draft-ietf-isis-segment-routing-extensions-05:

1. "2.1.  Prefix Segment Identifier (Prefix-SID Sub-TLV)

         V-Flag: Value flag.  If set, then the Prefix-SID carries a
         value (instead of an index).  By default the flag is UNSET.
         L-Flag: Local Flag.  If set, then the value/index carried by
         the Prefix-SID has local significance.  By default the flag is
         UNSET.

      SID/Index/Label: according to the V and L flags, it contains
      either:
      *

         A 4 octet index defining the offset in the SID/Label space
         advertised by this router using the encodings defined in
         Section 3.1.  In this case the V and L flags MUST be unset.

         A 3 octet local label where the 20 rightmost bits are used for
         encoding the label value.  In this case the V and L flags MUST
         be set"

Regarding these definition, since the combination of V-Flag and L-Flag should have four types. But now it only defines two types. If V-Flag is SET and L-Flag is UNSET, what should be contained

in SID/Index/Label? If with co-author of the draft hat on, can you help explain? Or will you define definitely in the draft that this case MUST NOT happen?

In addition, I learn some implementation can directly use Prefix-SID Sub-TLV to advertise the domain-wide label value directly instead of using your proposed "global segments uses global index +

local labels (aka SRGB)". If this case happens, what should we say? Is it that the implementation is totally wrong or the implementation can also be accepted or it is an

special case that the domain-wide label happens to be the same as the "global segments uses global index + local labels (aka SRGB)"?

Best Regards,

Zhenbin(Robin)

________________________________
发件人: [email-masked] [[email-masked]]
发送时间: 2015年11月4日 14:26
收件人: Lizhenbin
抄送: [email-masked]; John G. Scudder
主题: RE: Solicit Opinions on Definition of MPLS Global Label

Hi Robin,

Since I did not get the chance to express my comment during the meeting, I’ll do over email.

<spring co-chair hat on>
SPRING/SR:

Based on this, some of your slides referring to “SR uses cases” seem a bit misleading. (I can’t be more specific since during the meeting, I could see the slides but could not comment, and now I can comment but can’t see the slides as they are not online).

Thanks
-- Bruno

Hi MPLSers,

Best Regards,

Zhenbin(Robin)

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 4 Nov 2015 15:15:21 +0000

Hi all,
I concur with Bruno: SR does not need global labels.
And, as Nobo has explained<http://www.ietf.org/mail-archive/web/mpls/current/msg12640.html> more than 1 year ago, neither does SFC.

Since you solicit opinions, mine is that global labels are not needed anywhere  because, quoting from RFC 1925<https://tools.ietf.org/html/rfc1925>, "In protocol design, perfection has been reached not when there is nothing left to add, but when there is nothing left to take away". Since global labels can always be taken away, any design that uses them would be less than perfect:(.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: mpls [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, November 04, 2015 8:27 AM
To: Lizhenbin
Cc: [email-masked]
Subject: Re: [mpls] Solicit Opinions on Definition of MPLS Global Label

Hi Robin,

<spring co-chair hat on>
SPRING/SR:

Thanks
-- Bruno

From: mpls [mailto:[email-masked]] On Behalf Of Lizhenbin
Sent: Wednesday, November 04, 2015 2:27 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [mpls] Solicit Opinions on Definition of MPLS Global Label

Hi MPLSers,

Best Regards,

Zhenbin(Robin)

Thank you.

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 4 Nov 2015 19:25:55 +0000

Zhenbin,

   -- For MPLS upstream label assignment in context-specific label
   space, all downstream nodes can understand the meaning of the label
   allocated by the upstream node binding for specific MVPN/VPLS
   instance.  We can see the root PE as one type to central controlled
   node to allocate label to all leaf nodes.  And thinking about the
   uniqueness of the context determine by the shared P-tunnel, these
   labels in fact are also unique in the network.  Should they belong to
   global label?

These are "context-specific", not global. Different upstream nodes can assign the same label value for different meanings, and whoever receives those labels in packets need to interpret the labels in the specific context for the assigner.

Jeffrey

From: Lizhenbin [mailto:[email-masked]]
Sent: Wednesday, November 04, 2015 2:27 PM
To: [email-masked]
Subject: [mpls] Solicit Opinions on Definition of MPLS Global Label

Hi MPLSers,

Best Regards,

Zhenbin(Robin)

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 4 Nov 2015 19:47:08 +0000

Zhenbin,

Your draft says:

   The context-specific label can solve the issue of aggregating
   multiple MVPNs or VPLS instances over a single P2MP LSP.  But if the
   MP2MP LSP is adopted for aggregating multiple MVPN/VPLS instances the
   solution does not work since there are multiple root PEs which may
   allocate the same context-specific label for different MVPN/VPLS
   instances.

I don't think there is a real difference between the p2mp and mp2mp. In either case, the vpn-identifying label is "upstream-allocated" by the root of the tunnel and the receiving PEs will interpret that in the context of the root. In case of mp2mp, that means an ingress PE will use vpn-identifying labels assigned by the root (may be different from itself). In case of p2mp, it is also "root-assigned", it's just that the root happens to be the ingress PE itself.

In the mp2mp case, it is true the root may not be a PE; but the root can certainly advertise PMSI routes to advertise the labels for PEs to use. That is control plane and for label advertisement only - it does have CE sites to send/receive traffic to/from. Compare to other ways of coordinating what label to use, this is simple and straightforward.

Jeffrey

From: Jeffrey (Zhaohui) Zhang
Sent: Thursday, November 05, 2015 4:26 AM
To: 'Lizhenbin' <[email-masked]>; [email-masked]
Subject: RE: [mpls] Solicit Opinions on Definition of MPLS Global Label

Zhenbin,

Jeffrey

Hi MPLSers,

Best Regards,

Zhenbin(Robin)

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 4 Nov 2015 19:53:57 +0000

> it does have CE sites to send/receive traffic to/from.

I meant it "does NOT".

From: Jeffrey (Zhaohui) Zhang [mailto:[email-masked]]
Sent: Thursday, November 05, 2015 4:47 AM
To: Lizhenbin <[email-masked]>; [email-masked]
Subject: Re: [mpls] Solicit Opinions on Definition of MPLS Global Label

Zhenbin,

Your draft says:

Jeffrey

From: Jeffrey (Zhaohui) Zhang
Sent: Thursday, November 05, 2015 4:26 AM
To: 'Lizhenbin' ; [email-masked]<mailto:[email-masked]>
Subject: RE: [mpls] Solicit Opinions on Definition of MPLS Global Label

Zhenbin,

Jeffrey

Hi MPLSers,

Best Regards,

Zhenbin(Robin)

---

From: Loa Andersson <[email-masked]>
Date: Thu, 5 Nov 2015 10:23:21 +0900

Working Group,

We a long-standing usage (though not always well-documented) of
some of our labels

global labels - that is a label that have the same meaning for any
mpls device, as long as it understand the device understands it,
where ever that device is found.
As far as I'm concerned there are only one set of such "global labels",
we have chosen to call those Special Purpose Labels.

context specific labels - that are sets of labels that are know within
certain context, this context could be any number of things, e.g. a
domain.

link local labels - labels that are know over a link between two LSRs,
whether the LSRs are adjacent or not.

I don't think we want to move away from this long-standing usage.

/Loa

On 2015-11-05 00:15, Alexander Vainshtein wrote:
> And, as Nobo has explained
> <http://www.ietf.org/mail-archive/web/mpls/current/msg12640.html> more
> than 1 year ago, neither does SFC.
>
> Since you solicit opinions, mine is that /global labels are not needed
> anywhere / because, quoting from RFC 1925
> <https://tools.ietf.org/html/rfc1925>, “/In protocol design, perfection
> has been reached not when there is nothing left to add, but when there
> is nothing left to take away/”. Since global labels can always be taken
> away, any design that uses them would be less than perfectL.
>
> My 2c,
>
> Sasha
>
> Office: +972-39266302
>
> Cell:      +972-549266302
>
> *From:*mpls [mailto:[email-masked]] *On Behalf Of
> [email-masked]
> *Sent:* Wednesday, November 04, 2015 8:27 AM
> *To:* Lizhenbin
> *Cc:* [email-masked]
> *Subject:* Re: [mpls] Solicit Opinions on Definition of MPLS Global Label
>
> Hi Robin,
>
>                  - in particular, in the control plane labels are
> locally allocated and in the forwarding plane, labels (of global
> segments) are SWAPed
>
> - is not requesting the MPLS WG to work on global/domain wide label.
> (i.e. the debate is closed from the SPRING standpoint.). Obviously, the
> MPLS WG is free to re-open the debate, but this is not a spring thing.
>
> Based on this, some of your slides referring to “SR uses cases” seem a
> bit misleading. (I can’t be more specific since during the meeting, I
> could see the slides but could not comment, and now I can comment but
> can’t see the slides as they are not online).
>
> Thanks
>
> -- Bruno
>
> *From:*mpls [mailto:[email-masked]] *On Behalf Of *Lizhenbin
> *Sent:* Wednesday, November 04, 2015 2:27 PM
> *To:* [email-masked] <mailto:[email-masked]>
> *Subject:* [mpls] Solicit Opinions on Definition of MPLS Global Label
>
> Hi MPLSers,
>
> Ce message et ses pieces jointes peuvent contenir des informations
> confidentielles ou privilegiees et ne doivent donc
>
> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez
> recu ce message par erreur, veuillez le signaler
>
> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
> electroniques etant susceptibles d'alteration,
>
> This message and its attachments may contain confidential or privileged
> information that may be protected by law;
>

---

From: David Allan I <[email-masked]>
Date: Thu, 5 Nov 2015 01:30:45 +0000

Aren't you really discussing label spaces....

You have well known labels (reserved, or administered by the "designers"), and the other label spaces have properties based upon a combination of scope and "who" administers them...

Cheers
Dave

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Thursday, November 05, 2015 10:23 AM
To: Alexander Vainshtein; [email-masked]; Lizhenbin; Nobo Akiya (nobo) ([email-masked])
Cc: [email-masked]
Subject: Re: [mpls] Solicit Opinions on Definition of MPLS Global Label

Working Group,

We a long-standing usage (though not always well-documented) of some of our labels

global labels - that is a label that have the same meaning for any mpls device, as long as it understand the device understands it, where ever that device is found.
As far as I'm concerned there are only one set of such "global labels", we have chosen to call those Special Purpose Labels.

context specific labels - that are sets of labels that are know within certain context, this context could be any number of things, e.g. a domain.

link local labels - labels that are know over a link between two LSRs, whether the LSRs are adjacent or not.

/Loa

On 2015-11-05 00:15, Alexander Vainshtein wrote:
> <https://tools.ietf.org/html/rfc1925>, "/In protocol design, 
> perfection has been reached not when there is nothing left to add, but 
> when there is nothing left to take away/". Since global labels can 
> always be taken away, any design that uses them would be less than perfectL.
>
> My 2c,
>
> Sasha
>
> Office: +972-39266302
>
> Cell:      +972-549266302
>
>                  - global segments uses global index + local labels 
> (aka
> SRGB)
>
> (i.e. the debate is closed from the SPRING standpoint.). Obviously, 
> the MPLS WG is free to re-open the debate, but this is not a spring thing.
>
> Based on this, some of your slides referring to "SR uses cases" seem a 
> bit misleading. (I can't be more specific since during the meeting, I 
> can't see the slides as they are not online).
>
> Thanks
>
> -- Bruno
>
> possible persons who read the drafts of protocol extensions for 
> segment routing which incorporate the label allocation may be confused 
> that MPLS WG as
>
> not make it bother MPLS WG. But it seems a little hard to convince 
> some MPLSers.
>
> Opinion 2: The usecase truly exists. But the concept of global label 
> is too big. It is hard to allocate a label which is unique spanning 
> multiple domains or
>
> as IP address which is unique all over world since it is not a 
> scalable way or it is hard to achieve the goal. Then maybe it is a 
> better way to narrow the
>
> ______________________________________________________________________
> ___________________________________________________
>
> a l'expediteur et le detruire ainsi que les pieces jointes. Les 
> messages electroniques etant susceptibles d'alteration,
>
> This message and its attachments may contain confidential or 
> privileged information that may be protected by law;
>

---

From: Loa Andersson <[email-masked]>
Date: Thu, 5 Nov 2015 10:43:10 +0900

Dave,

There are a couple of usages of "label space", the RFC 3031 says:

    When these conditions hold, an LSR may use labels that have "per
    interface" scope, i.e., which are only unique per interface.  We may
    say that the LSR is using a "per-interface label space".  When these
    conditions do not hold, the labels must be unique over the LSR which
    has assigned them, and we may say that the LSR is using a "per-
    platform label space."

But as far as I understand that is not the "label space" we are
discussing here.

/Loa

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 5 Nov 2015 01:48:03 +0000

Yes, exactly!

Besides Special Purpose Labels (7274) and locally assigned per-platform labels the rest are subtypes of context labels (5331) i.e. a label can only be looked up in context of some additional information

Cheers,
Jeff

---

From: David Allan I <[email-masked]>
Date: Thu, 5 Nov 2015 01:53:47 +0000

HI Loa

I could generalize the principle embodied in the description to say "the label must be unique across the scope of the administering entity". Hence whether it is per interface, per platform, per implementation (reserved) or per domain simply falls out of this.

Only issue then is agreeing on how to disseminate information on what labels belong to which administering entity.... we have it sorted out for per interface, per platform and per implementation....

Cheers
D

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]] 
Sent: Thursday, November 05, 2015 10:43 AM
To: David Allan I; Alexander Vainshtein; [email-masked]; Lizhenbin; Nobo Akiya (nobo) ([email-masked])
Cc: [email-masked]
Subject: Re: [mpls] Solicit Opinions on Definition of MPLS Global Label

Dave,

But as far as I understand that is not the "label space" we are discussing here.

/Loa

On 2015-11-05 10:30, David Allan I wrote:
>> <http://www.ietf.org/mail-archive/web/mpls/current/msg12640.html> 
>> more than 1 year ago, neither does SFC.
>>
>> Since you solicit opinions, mine is that /global labels are not 
>> needed anywhere / because, quoting from RFC 1925 
>> perfection has been reached not when there is nothing left to add, 
>> but when there is nothing left to take away/". Since global labels 
>> can always be taken away, any design that uses them would be less than perfectL.
>>
>> My 2c,
>>
>> Sasha
>>
>> Office: +972-39266302
>>
>> Cell:      +972-549266302
>>
>> Based on this, some of your slides referring to "SR uses cases" seem 
>> a bit misleading. (I can't be more specific since during the meeting, 
>> I could see the slides but could not comment, and now I can comment 
>> but can't see the slides as they are not online).
>>
>> Thanks
>>
>> -- Bruno
>>
>> point of view we need not argue if it is global label or global ID. 
>> In fact, the
>>
>> segment routing which incorporate the label allocation may be 
>> confused that MPLS WG as
>>
>> Opinion 1: Segment Routing has nothing with global label and please 
>> do not make it bother MPLS WG. But it seems a little hard to convince 
>> some MPLSers.
>>
>> _____________________________________________________________________
>> _ ___________________________________________________
>>
>> pas etre diffuses, exploites ou copies sans autorisation. Si vous 
>> avez recu ce message par erreur, veuillez le signaler
>>
>> If you have received this email in error, please notify the sender 
>> and delete this message and its attachments.
>>

---

From: Loa Andersson <[email-masked]>
Date: Thu, 5 Nov 2015 11:05:53 +0900

Jeff,

yeah ..., right! Almost...

The context for PIL is the interface, that inofrmation is need to
understand meaning of the label.

However, the context for PPL is the platform, that information is
also needed to understand the meaning of the label.

We did not originally use the term "context" for PIL and PPL, but it
was introduced when we added upstream assigned labels.

/Loa

---

From: Eric Gray <[email-masked]>
Date: Thu, 5 Nov 2015 02:18:43 +0000

I agree.  In fact, it seems to me that any effort to do something along these lines would require a thorough analysis of how any such effort might be able to maintain backward compatibility. 

Sent from my iPad

> On Nov 5, 2015, at 10:23 AM, Loa Andersson <[email-masked]> wrote:
> 
> Working Group,
>

---

From: Lizhenbin <[email-masked]>
Date: Thu, 5 Nov 2015 04:57:47 +0000

Hi Folks,
I agree you about the possbile division about the per-platform label space, context-specific label space and special purpose label space. In sec 4 of our draft 
draft-li-mpls-global-label-usecases-03, I explained two pairs of label concept:
1. per-platform label space and context-specific label space
2. local label and global label (If you think the concept is confused, in the following section I will use another name "TBD label".

Regarding the first pair of concept, it is just to define different label space, it is easy work. I can also agree that the special purpose label can also be separated from the per-platform label space. 

But my issues to solicit opinion is not for this pair of label concept. I would like to collect your opinion on that shown in the figure 3 of the draft draft-li-mpls-global-label-usecases-03.
In the figure, it shows that a group of labels which are allocated by LDP/RSVP-TE/MP-BGP whose meaning are always understood by the local upstream nodes and downstream nodes.
We can easily define it as "local label". But there are another group label ideas on the opposite these label ideas such as upstream label, entropy/label, domain-wide label etc.  We tried to 
abstract common characteristics to define it as "TBD label". Regarding these label ideas, in the control plane, it seems all of them can take different means to make label meaning to be learned 
by  more nodes other than the local upstream nodes and downstream nodes. In the forwarding plane, it also introduce some new forwarding mechanism. In my opinion, both "local label" and 
"TBD label" can be allocated from the per-platform label space or context-specific label space (including per-interface label space). But they has different behaviors in the control plane and 
forwarding plane. I would like to change my description of my proposedo pinions:
Opinion 1: Segment Routing has nothing with "TBD label" and please do not make it bother MPLS WG. But it seems a little hard to convince some MPLSers.
Opinion 2: The usecase truly exists. But the concept of "TBD label" is too big. It is hard to allocate a label whose meaning is unique spanning multiple domains or the same as IP address which is unique all over world since it is not a scalable way or it is hard to achieve the goal. Then maybe it is a better way to narrow the scope to rename the global label as Domain-wide label, Network-wide label, etc.
Opinion 3: The "TBD label" can be kept to cover more label concepts which label behaviors in the control plane and forward plane are different form the traditional LDP/RSVP-TE/MP-BGP.

Hope you can understand it is not a simple issue to divide label space with Special Purpose Label Space, Per-Plaform Label Space and Context-specific Label Space. It involves abstraction of label behavior in the forwarding plane and the control plane. And hope you can go on feedback your opinions.

Best Regards,
Zhenbin(Robin)

________________________________________
发件人: mpls [[email-masked]] 代表 Eric Gray [[email-masked]]
发送时间: 2015年11月5日 10:18
收件人: Loa Andersson
抄送: [email-masked]
主题: Re: [mpls] Solicit Opinions on Definition of MPLS Global Label

Sent from my iPad

---

From: <[email-masked]>
Date: Thu, 5 Nov 2015 14:45:56 +0000

Robin,

1)      SPRING/SR does NOT need global/domain wide label. In other words, the use of MPLS Global Label is NOT REQUIRED for SR/SPRING.

This is a fact.
It should be clear from the spec. Otherwise, running a single test with node having different SRGBs is enough to prove that fact.
Let’s acknowledge this fact and move on.

2)      SR/SPRING uses a set of _local_ labels called SRGB.
In SR, _if_ a set “X” of nodes are configured with the same SRGB, then you end up using the same local value on this set of nodes. X may be a POP, a vendor, a type of router hardware, a domain…
Probably, this is not specific to SR and the same could be said about statically configured labels (pushed by a SDN controller if you like) or LDP labels (where a policy could be configured to instruct LDP to use specific label. Indeed LDP is a Label _Distribution_ Protocol. Label allocation is out of scope of the LDP protocol.

More inline regarding your specific questions on draft-ietf-isis-segment-routing-extensions-05 (which you should ask in the relevant WG rather than in the MPLS WG)

Bruno

From: Lizhenbin [mailto:[email-masked]]
Sent: Wednesday, November 04, 2015 10:32 PM
To: DECRAENE Bruno IMT/OLN
Cc: [email-masked]; John G. Scudder
Subject: ??: Solicit Opinions on Definition of MPLS Global Label

Hi Bruno,

in SID/Index/Label?

[Bruno] As you can read in the above text, this combination is currently not specified.

 If with co-author of the draft hat on, can you help explain? Or will you define definitely in the draft that this case MUST NOT happen?

[Bruno] Since this usage is not specified, it can’t be used.

local labels (aka SRGB)". If this case happens, what should we say?

Is it that the implementation is totally wrong or the implementation can also be accepted or it is an

[Bruno] As per the specification text that you have quoted yourself, this is allowed if the segment is local (L flag set). Otherwise it’s not,, hence it would be a bug.

[Bruno] A priori, all your questions are answered in the spec. If you have further questions/comments on this ISIS WG doc, it would probably be more appropriate to ask them in the relevant WG (ISIS)

Best Regards,

Zhenbin(Robin)

________________________________
发件人: [email-masked]<mailto:[email-masked]> [[email-masked]]
发送时间: 2015年11月4日 14:26
收件人: Lizhenbin
抄送: [email-masked]<mailto:[email-masked]>; John G. Scudder
主题: RE: Solicit Opinions on Definition of MPLS Global Label
Hi Robin,

<spring co-chair hat on>
SPRING/SR:

Thanks
-- Bruno

Hi MPLSers,

Best Regards,

Zhenbin(Robin)

Thank you.

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 9 Nov 2015 13:37:28 +0000

Robin

Others have made many of the points that I would have made
in this discussion of global labels, and I have yet to see a
compelling case emerge.

I am responding to the following from your slide deck:

BGP VPN LSP is another type of multi-point to point
LSP which faces the challenge of the measurement of
packet loss proposed by [I-D.bryant-mpls-synonymous-
flow-labels].

Firstly SL can be made to work in this environment. One of the
points that I have been making is that the SL label exchange can
be thought of as part of the measurement session establishment
protocol and thus works underneath any existing label
advertizement/exchange protocol without disruption to the
existing protocol.

If your concern is that you want to remain within the BGP VPN
paradigm and have an advertizement only method of operation,
with no session, then the advertizing PE could advertise either
a set of labels it wanted to use to map between either a
source/VPN label pair or as a source identifier. Alternatively
you could take a leaf from the SR book use a virtual global
label set and advertise the PE offset in the VPN advertizement.
This latter approach would mean that a single identity was
distributed, but the labels in the stack were scoped to the
destination in conformance with RFC3031.

I will make one other point, and that is *IF* there is a compelling
case for a tagged network layer with truly global labels, then there are
other stack based designs that could be considered, which are possibly
more powerful than the existing MPLS design.  However it is difficult
to imagine a sufficiently compelling commercial case for their
deployment in the near future.

- Stewart